;----------------------------------------------------------------------
; (c) copyright 1992 Santronics Software
;----------------------------------------------------------------------
;
; BETA NOTE: THIS XPMENU.CTL WORKS FOR 53B REVISIONS OF XPMAIL.EXE
;
; Silver Xpress V3.00 Menu Structure is broken up into 5 Menu Nodes plus
; 3 CUSTOM menu nodes:
;
;   Sysop Menu           _SYSOP_      <<--- Shown Only to Xpress Sysop
;   Main Menu            _MAIN_
;   Config Menu          _CONFIG_
;   Terminal Options     _TOPTIONS_
;   Mail Options         _MOPTIONS_
;   Service Options      _SOPTIONS_
;   Custom Menu 1        _CUSTOM1_
;   Custom Menu 2        _CUSTOM2_
;   Custom Menu 3        _CUSTOM3_
;
; Note: HardCoded and custom menus have underscores surrounding their
; names.
;
; Each MENUITEM has the following:
;    HOT KEY COLOR
;    OPTION COLOR
;    ACTION TAG
;           Optional Data for SOME action tags
;             _DISPLAY <filename>
;             _DNLDFILE <filename or ? for prompt>
;             _UPLDFILE <filename or ? for prompt>
;    OPTION   Hot key must be surrounded by carets. If you precede the
;             option with a QUOTE, then no leading spaces will be removed.
;             If you end the line a semi-colon, then no carriage return
;             and linefeed will be issue. Good for creating 2 column
;             menus.
;
;             If the option has any of the % parameters, then a substition
;             will be made.
;
;               %sa - # of selected areas
;               %tm - file transfer protocol
;               %cm - compression method
;               %gb - general bulletins on or off
;               %kw - total keywords
;               %ro - receive own mail  on or off
;               %rg - receive group mail on or off
;               %ld - last usage date
;               %ag - Color Graphics (Ansi) on or off
;               %hk - Menu Hot Keys on or off
;               %ic - IBM Characters on or off
;               %nm - Novice Menu Mode on or off
;               %xm - Veteran Menu Mode  on or off
;               %gx - Gold Xpress Menu Mode on or off
;               %vs - Vacation saver on or off
;               %fs - file scan on or off
;               %fd - file scan date

;
;----------------------------------------------------------------------

MENU _MAIN_
;
; Prompt shown in gold xpress mode
;
  GXPROMPT  SX_MAIN>
;
; Title shown during novice mode
;
; NTITLE    YELLOW Silver Xpress Main Menu
;
; Title shown during verteran (expert) mode
;
  VTITLE    YELLOW Main Menu
;
; name of help file (also name of optional menu ansi file shown, x.ANS or x.TXT)
;
  HELP      main
;
; Menu items. In this example, the NTITLE is commented out and menuitems are
; used for TITLE HEADER for the menu.
;
;  MENUITEM  63     WHITE _JUNK      '^ Silver Xpress Main Menu ^'
  MENUITEM  WHITE  WHITE  _JUNK     'Ŀ'
  MENUITEM  YELLOW WHITE  _JUNK     '                 ^Silver Xpress Main Menu^             '
  MENUITEM  WHITE  WHITE  _JUNK     ''

  MENUITEM  YELLOW  CYAN _SYSOP_    ' [^#^]....Sysop Menu
  MENUITEM  YELLOW  CYAN _DNLDMAIL  ' [^D^]....Scan and Download Mail ;
  MENUITEM  YELLOW  CYAN _CONFIG_   '  [^C^]....Configuration
  MENUITEM  YELLOW  CYAN _UPLDMAIL  ' [^U^]....Upload Your Mail       ;
  MENUITEM  YELLOW  CYAN _USERLOG   '  [^P^]....Personal Log
  MENUITEM  YELLOW  CYAN _VACPAC    ' [^V^]....Check Vacation Mail    ;
  MENUITEM  YELLOW  CYAN _HELP      '  [^?^]....Show help
  MENUITEM  YELLOW  CYAN _QUIT      ' [^Q^]....Return to Main System  ;
;
; if you do not want to have a goodbye option, then comment out the
; goodbye option. If do you comment it out, uncomment the lone MENUITEM
; below it.
;
  MENUITEM  YELLOW  CYAN _GOODBYE   '  [^G^]....GoodBye
; MENUITEM
  MENUITEM  WHITE  WHITE _JUNK      ''
;
; Normally, will allow a carriage return to go to previous menu. It will
; normally use the LAST hotkey defined. Since the last menuitem is not
; a normal option, RETURNKEY is used to define the key that will be used
; when carriage return is hit.
;
  RETURNKEY Q
;
; This is the line shown during veteran mode
;
   VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
;
; This is the prompt shown to users. Highlight color, normal color,
; and the prompt color is the order of the format. Only two substitutions
; can be made, %tr time remaining, %fn user's first name.
;
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; configuration menu. !! NOTE: FOR FIRST TIME USERS. CONFIG IS THE FIRST
;                        MENU THEY WILL SEE.
;

MENU _CONFIG_
  GXPROMPT  SX_CFG>
  VTITLE    WHITE Configuration Menu
  HELP      config
  MENUITEM  63     WHITE _JUNK      '^ Configuration Menu ^'
  MENUITEM  YELLOW CYAN _SELECT     ' [^S^]....Select Mail Areas,   - %sa selected
  MENUITEM  YELLOW CYAN _XFERTYPE   ' [^F^]....File Transfer Method - %tm
  MENUITEM  YELLOW CYAN _ARCHTYPE   ' [^A^]....Archiver Method      - %cm
  MENUITEM
  MENUITEM  YELLOW CYAN _MOPTIONS_  ' [^M^]....Mail Options         ;
  MENUITEM  YELLOW CYAN _SOPTIONS_  '  [^X^]....Xpress Services
  MENUITEM  YELLOW CYAN _TOPTIONS_  ' [^T^]....Terminal Options     ;
  MENUITEM  YELLOW CYAN _HELP       '  [^?^]....Show help
  MENUITEM  YELLOW CYAN _RETURN     ' [^Q^]....Return to Main Menu
  MENUITEM  WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; mail options
;

MENU _MOPTIONS_
  GXPROMPT  SX_MOPT>
  VTITLE    WHITE Mail Options
  HELP      moptions
  MENUITEM  63     WHITE _JUNK      '^ Mail Options ^'
  MENUITEM  YELLOW CYAN _KEYWORDS   ' [^K^]....Define Search Keywords      - %kw
  MENUITEM  YELLOW CYAN _OWNMAIL    ' [^Y^]....Receive Your Own Mail       - %ro
  MENUITEM  YELLOW CYAN _GRPMAIL    ' [^G^]....Receive Group Mail          - %rg
  MENUITEM  YELLOW CYAN _LASTDATE   ' [^L^]....Last Usage Date             - %ld
  MENUITEM
  MENUITEM  YELLOW CYAN _RESETLRF   ' [^R^]....Restore Entry Mail Pointers
  MENUITEM  YELLOW CYAN _HELP       ' [^?^]....Show help
  MENUITEM  YELLOW CYAN _MAIN_      ' [^/^]....Main Menu
  MENUITEM  YELLOW CYAN _RETURN     ' [^Q^]....Return to Previous Menu
  MENUITEM  WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; terminal options
;
MENU _TOPTIONS_
  GXPROMPT  SX_TOPT>
  VTITLE     WHITE Terminal Options
  HELP      terminal
  MENUITEM  63     WHITE _JUNK      '^ Terminal Options ^ '
  MENUITEM  YELLOW CYAN _COLOR      ' [^G^]....Ansi Color              - %ag
  MENUITEM  YELLOW CYAN _HOTKEY     ' [^H^]....Menu Hot Keys           - %hk
  MENUITEM  YELLOW CYAN _IBMCHAR    ' [^I^]....IBM Characters          - %ic
  MENUITEM  YELLOW CYAN _NOVICE     ' [^N^]....Novice Menu Mode        - %nm
  MENUITEM  YELLOW CYAN _VETERAN    ' [^V^]....Veteran Menu Mode       - %xm
  MENUITEM  YELLOW CYAN _GXPRESS    ' [^X^]....Gold Xpress Menu Mode   - %gx
  MENUITEM
  MENUITEM  YELLOW CYAN _RPASSWORD  ' [^R^]....Reader Password         ;
  MENUITEM  YELLOW CYAN _DPASSWORD  '  [^D^]....Door Password
  MENUITEM  YELLOW CYAN _HELP       ' [^?^]....Show help               ;
  MENUITEM  YELLOW CYAN _MAIN_      '  [^/^]....Main Menu
  MENUITEM  YELLOW CYAN _RETURN     ' [^Q^]....Return Previous Menu
  MENUITEM  WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; services menu
;

MENU _SOPTIONS_
  GXPROMPT  SX_SERV>
  VTITLE     WHITE Xpress Service Menu
  HELP      services
  MENUITEM  63     WHITE _JUNK      '^ Xpress Service Options ^'
  MENUITEM  YELLOW CYAN _VACSAVER   ' [^V^]....Xpress Vacation Saver   - %vs
  MENUITEM  YELLOW CYAN _FILESCAN   ' [^F^]....Scan for New Files      - %fs
  MENUITEM  YELLOW CYAN _FILEDATE   ' [^C^]....Change File Scan Date   - %fd
  MENUITEM  YELLOW CYAN _BULLETINS  ' [^B^]....Receive Bulletins       - %gb
  MENUITEM  YELLOW CYAN _DELXAM     ' [^E^]....Erase Mail Recording
  MENUITEM  YELLOW CYAN _HELP       ' [^?^]....Show help
  MENUITEM  YELLOW CYAN _MAIN_      ' [^/^]....Main Menu
  MENUITEM  YELLOW CYAN _RETURN     ' [^Q^]....Return to Previous Menu
  MENUITEM  WHITE  WHITE _JUNK      ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

;
; sysop menu, only the Xpress sysop can use the action codes in this
; menu. It doesn't matter if you moved them to another menu.
;

MENU _SYSOP_
  GXPROMPT  SX_SYS>
  TITLE     YELLOW Xpress Sysop Menu
  HELP      sysop
  MENUITEM  63     WHITE _JUNK         '^ Xpress Sysop Option ^'
  MENUITEM  YELLOW  CYAN _USRLIST      ' [^1^] See User List    ;
  MENUITEM  YELLOW  CYAN _RUSRLIST     '  [^2^] See Registered User List
  MENUITEM  YELLOW  CYAN _LOG          ' [^3^] See Xpress Log   ;
  MENUITEM  YELLOW  CYAN _SHELL        '  [^4^] Shell to DOS
  MENUITEM  YELLOW  CYAN _DNLDFILE  ?  ' [^5^] Download File    ;
  MENUITEM  YELLOW  CYAN _UPLDFILE  ?  '  [^6^] Upload File.
  MENUITEM  YELLOW  CYAN _SYSPARM      ' [^7^] Xpress Variables ;
  MENUITEM  YELLOW  CYAN _CHAT         '  [^8^] Remote Activated Chat
  MENUITEM  YELLOW  CYAN _HELP         ' [^?^] Show help        ;
  MENUITEM  YELLOW  CYAN _RETURN       '  [^Q^] Return
  MENUITEM  WHITE  WHITE _JUNK         ''
  RETURNKEY Q
  VETERAN   YELLOW WHITE Valid Keys: [^%keys^]
  PROMPT    LGREEN WHITE YELLOW [^%tr mins^] %fn Enter Command :
ENDMENU

